- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- MarketplaceComment
- CommenterRole
- Try it!
Fetches MarketplaceComments made on Proposals.
HTTP request
GET https://admanager.googleapis.com/v1/{parent}/proposals:fetchMarketplaceComments
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where MarketplaceComments will be fetched from. Format: |
Query parameters
| Parameters | |
|---|---|
names[] |
Required. The resource names of the Proposals for which to fetch marketplace comments. A maximum of 50 proposal names can be specified. Format: |
pageSize |
Optional. The maximum number of |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
skip |
Optional. Number of individual resources to skip while paginating. |
Request body
The request body must be empty.
Response body
Response message for proposals.fetchMarketplaceComments method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"marketplaceComments": [
{
object ( |
| Fields | |
|---|---|
marketplaceComments[] |
The |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
MarketplaceComment
Comment associated with a programmatic Proposal that has been sent to Marketplace.
| JSON representation |
|---|
{
"createTime": string,
"proposal": string,
"comment": string,
"commenterRole": enum ( |
| Fields | |
|---|---|
createTime |
Output only. The time at which the comment was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
proposal |
Output only. The resource name of the |
comment |
Output only. The comment made on the Proposal. |
commenterRole |
Output only. The role of the user who created the comment. |
CommenterRole
Role of the user who created the comment.
| Enums | |
|---|---|
COMMENTER_ROLE_UNSPECIFIED |
Default value. This value is unused. |
BUYER |
The comment was created by the buyer. |
SELLER |
The comment was created by the seller. |